<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('inout_line')
const tabs = ref([
  {value: 'inout_line', text: 'Shipment Line'},
  {value: 'packages', text: 'Packages'},
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('sales_shipment_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('sales_shipment_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <SalesShipmentDetailRecordLine v-if="tab === 'inout_line'" :action="action" :info="info" />
    <SalesShipmentDetailRecordPackage v-if="tab === 'packages'" :action="action" :info="info" />
  </div>
</template>